<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.util.List"%>
<%@ page import="ru.akarpov.web2.Result"%>
<%@ page import="ru.akarpov.web2.ResultBean"%>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>Результаты проверки</title>
    <link rel="stylesheet" href="<%= request.getContextPath() %>/styles.css">
</head>
<body>
<h1>Результаты проверки</h1>
<table border="1">
    <tr>
        <th>X</th>
        <th>Y</th>
        <th>R</th>
        <th>Результат</th>
        <th>Время</th>
        <th>Время выполнения (мс)</th>
    </tr>
    <%
        // Retrieve the ResultBean from the session
        ResultBean resultBean = (ResultBean) session.getAttribute("resultBean");
        if (resultBean != null) {
            List<Result> results = resultBean.getResults();
            if (results != null && !results.isEmpty()) {
                // Display all results
                for (Result res : results) {
    %>
    <tr>
        <td><%= res.getX() %></td>
        <td><%= res.getY() %></td>
        <td><%= res.getR() %></td>
        <td><%= res.isHit() ? "Попадание" : "Промах" %></td>
        <td><%= res.getCurrentTime() %></td>
        <td><%= res.getExecutionTime() %></td>
    </tr>
    <%
        }
    } else {
    %>
    <tr>
        <td colspan="6">No results found.</td>
    </tr>
    <%
        }
    } else {
    %>
    <tr>
        <td colspan="6">No results found.</td>
    </tr>
    <%
        }
    %>
</table>
<p><a href="<%= request.getContextPath() %>/controller">Вернуться к форме</a></p>
</body>
</html>
